import * as $dara from '@darabonba/typescript';
export declare class DescribeVpcAttributeResponseBodyAssociatedCensAssociatedCen extends $dara.Model {
    cenId?: string;
    cenOwnerId?: number;
    cenStatus?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVpcAttributeResponseBodyAssociatedCens extends $dara.Model {
    associatedCen?: DescribeVpcAttributeResponseBodyAssociatedCensAssociatedCen[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVpcAttributeResponseBodyAssociatedPropagationSourcesAssociatedPropagationSources extends $dara.Model {
    routePropagated?: boolean;
    sourceInstanceId?: string;
    sourceOwnerId?: number;
    sourceType?: string;
    status?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVpcAttributeResponseBodyAssociatedPropagationSources extends $dara.Model {
    associatedPropagationSources?: DescribeVpcAttributeResponseBodyAssociatedPropagationSourcesAssociatedPropagationSources[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVpcAttributeResponseBodyCloudResourcesCloudResourceSetType extends $dara.Model {
    resourceCount?: number;
    resourceType?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVpcAttributeResponseBodyCloudResources extends $dara.Model {
    cloudResourceSetType?: DescribeVpcAttributeResponseBodyCloudResourcesCloudResourceSetType[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVpcAttributeResponseBodyIpv6CidrBlocksIpv6CidrBlock extends $dara.Model {
    ipv6CidrBlock?: string;
    ipv6Isp?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVpcAttributeResponseBodyIpv6CidrBlocks extends $dara.Model {
    ipv6CidrBlock?: DescribeVpcAttributeResponseBodyIpv6CidrBlocksIpv6CidrBlock[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVpcAttributeResponseBodySecondaryCidrBlocks extends $dara.Model {
    secondaryCidrBlock?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVpcAttributeResponseBodyTagsTag extends $dara.Model {
    key?: string;
    value?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVpcAttributeResponseBodyTags extends $dara.Model {
    tag?: DescribeVpcAttributeResponseBodyTagsTag[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVpcAttributeResponseBodyUserCidrs extends $dara.Model {
    userCidr?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVpcAttributeResponseBodyVSwitchIds extends $dara.Model {
    vSwitchId?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVpcAttributeResponseBody extends $dara.Model {
    associatedCens?: DescribeVpcAttributeResponseBodyAssociatedCens;
    associatedPropagationSources?: DescribeVpcAttributeResponseBodyAssociatedPropagationSources;
    /**
     * @remarks
     * The IPv4 CIDR block of the VPC.
     *
     * @example
     * 192.168.0.0/16
     */
    cidrBlock?: string;
    /**
     * @remarks
     * Indicates whether the ClassicLink feature is enabled. Valid values:
     *
     * *   **true**
     * *   **false** (default)
     *
     * @example
     * false
     *
     * @deprecated
     */
    classicLinkEnabled?: boolean;
    cloudResources?: DescribeVpcAttributeResponseBodyCloudResources;
    /**
     * @remarks
     * The time when the VPC was created.
     *
     * @example
     * 2021-10-16T07:31:09Z
     */
    creationTime?: string;
    /**
     * @remarks
     * The description of the VPC.
     *
     * @example
     * VPC
     */
    description?: string;
    /**
     * @remarks
     * The ID of the DHCP options set.
     *
     * @example
     * dopt-o6w0df4epg9zo8isy****
     */
    dhcpOptionsSetId?: string;
    /**
     * @remarks
     * The status of the DHCP options set. Valid values:
     *
     * *   **Available**
     * *   **InUse**
     * *   **Deleted**
     * *   **Pending**
     *
     * @example
     * Available
     */
    dhcpOptionsSetStatus?: string;
    /**
     * @remarks
     * Indicates whether DNS hostname is enabled.
     *
     * @example
     * DISABLED
     */
    dnsHostnameStatus?: string;
    /**
     * @remarks
     * Indicates whether the VPC enables IPv6 .
     * - true
     * - false
     *
     * @example
     * false
     */
    enabledIpv6?: boolean;
    /**
     * @remarks
     * The ID of the IPv4 gateway.
     *
     * @example
     * ipv4gw-5tsnc6s4ogsedtp3k****
     */
    ipv4GatewayId?: string;
    /**
     * @remarks
     * The IPv6 CIDR block of the VPC.
     *
     * @example
     * 2408:XXXX:0:a600::/56
     */
    ipv6CidrBlock?: string;
    ipv6CidrBlocks?: DescribeVpcAttributeResponseBodyIpv6CidrBlocks;
    /**
     * @remarks
     * Indicates whether the VPC is the default VPC. Valid values:
     *
     * *   **true**
     * *   **false** (default)
     *
     * @example
     * false
     */
    isDefault?: boolean;
    /**
     * @remarks
     * The ID of the Alibaba Cloud account to which the VPC belongs.
     *
     * @example
     * 28311773240248****
     */
    ownerId?: number;
    /**
     * @remarks
     * The ID of the region to which the VPC belongs.
     *
     * @example
     * cn-hangzhou
     */
    regionId?: string;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 7486AE4A-129D-43DB-A714-2432C074BA04
     */
    requestId?: string;
    /**
     * @remarks
     * The ID of the resource group.
     *
     * @example
     * rg-acfmxazbvgb4ph****
     */
    resourceGroupId?: string;
    secondaryCidrBlocks?: DescribeVpcAttributeResponseBodySecondaryCidrBlocks;
    /**
     * @remarks
     * The status of the VPC. Valid values:
     *
     * *   **Available**
     * *   **Pending**
     *
     * @example
     * Available
     */
    status?: string;
    /**
     * @remarks
     * Indicates whether the VPC supports IPv4 gateways.
     *
     * *   **true**
     * *   **false**
     *
     * @example
     * true
     */
    supportIpv4Gateway?: boolean;
    tags?: DescribeVpcAttributeResponseBodyTags;
    userCidrs?: DescribeVpcAttributeResponseBodyUserCidrs;
    /**
     * @remarks
     * The ID of the vRouter that belongs to the VPC.
     *
     * @example
     * vrt-bp1jso6ng1at0ajsc****
     */
    VRouterId?: string;
    vSwitchIds?: DescribeVpcAttributeResponseBodyVSwitchIds;
    /**
     * @remarks
     * The ID of the VPC.
     *
     * @example
     * vpc-bp18sth14qii3pnvo****
     */
    vpcId?: string;
    /**
     * @remarks
     * The name of the VPC.
     *
     * @example
     * doctest2
     */
    vpcName?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
